<div class="wrapper">
    @if (!post?.isAnEvent) {
        <div class="post-image" style="background-image: url(https://cdn.indebergen.nl/media/lsmjquje/bergbahnen-infrastruktur-saas-almagell-saastaltourismusag-amarcstermedia.jpg)"></div>

        <div class="post-infos">
            <p>{{post?.author}}</p>
            <p>{{ post?.date | date }}</p>
        </div>
        <div class="post-title">
            <div class="titleText">{{post?.title}}</div>
            <mat-divider></mat-divider>
        </div>
        <div class="post-description">
            <p>{{post?.description}}</p>
            <mat-divider></mat-divider>
        </div>
        <div class="post-content">
            <p>{{post?.content}}</p>
        </div>
    } @else {
        <div class="post-image" style="background-image: url(https://media.istockphoto.com/id/974238866/de/foto/publikum-h%C3%B6rt-der-dozent-an-der-konferenz.jpg?s=612x612&w=0&k=20&c=ZFRoR6LDmPuKjXbqQuyxR1BceM3w0GEkmHWftLUg6_k=)"></div>

        <div class="post-infos">
            <p>{{post?.author}}</p>
            <p>Published: {{ post?.date | date }}</p>
        </div>
        <div class="post-title">
            <div class="titleText">{{post?.title}}</div>
            <mat-divider></mat-divider>
        </div>
        <div class="post-location">
            <p>Location: {{post?.place}}</p>
            <p>Time: {{post?.eventDate | date: "medium"}}</p>
            <mat-divider></mat-divider>
        </div>
        <div class="post-description">
            <p>{{post?.description}}</p>
            <mat-divider></mat-divider>
        </div>
        <div class="post-content">
            <p>{{post?.content}}</p>
        </div>
    }
    

    
</div>


@if (error) {
    <p>{{error}}</p>
}


